# $Revision: 1.24 $, $Date: 2011/10/07 13:04:29 $
# NOTE:		perl-AnyEvent requires perl(Core::{Event,Signal})
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Coro
%define		pnam	Coro
Summary:	Coro - do events the coro-way
Summary(pl.UTF-8):	Coro - obsługa zdarzeń na sposób coro
Name:		perl-Coro
Version:	6.06
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/M/ML/MLEHMANN/%{pnam}-%{version}.tar.gz
# Source0-md5:	2ee54f58bced7471f77149e97c73a94f
Patch0:		kill-blocked-test.patch
URL:		http://search.cpan.org/dist/Coro/
BuildRequires:	perl-AnyEvent >= 2:5.0
BuildRequires:	perl-EV >= 1:3.3
BuildRequires:	perl-Event >= 1.08
BuildRequires:	perl-devel >= 1:5.8.2
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	sed >= 4.0
%if %{with tests}
BuildRequires:	perl-Guard >= 0.5
BuildRequires:	perl-Storable >= 2.15
BuildRequires:	perl-Time-HiRes
BuildRequires:	perl-common-sense
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module enables you to create programs using the powerful Event
model (and module), while retaining the linear style known from simple
or threaded programs.

%description -l pl.UTF-8
Ten moduł pozwala na tworzenie programów przy użyciu potężnego modelu
(i modułu) Event z zachowaniem liniowego stylu znanego z prostych lub
wątkowych programów.

%prep
%setup -q -n %{pnam}-%{version}
%patch0 -p1

%{__sed} -i "s^/opt/bin/perl^%{_bindir}/perl^" Coro/jit*pl

%build
echo "y" | %{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} -j1 test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes INSTALL README README.linux-glibc
%{perl_vendorarch}/Coro.pm
%{perl_vendorarch}/Coro
%dir %{perl_vendorarch}/auto/Coro
%dir %{perl_vendorarch}/auto/Coro/EV
%{perl_vendorarch}/auto/Coro/EV/EV.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Coro/EV/EV.so
%dir %{perl_vendorarch}/auto/Coro/Event
%{perl_vendorarch}/auto/Coro/Event/Event.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Coro/Event/Event.so
%dir %{perl_vendorarch}/auto/Coro/State
%{perl_vendorarch}/auto/Coro/State/State.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Coro/State/State.so
%{_mandir}/man3/Coro*.3pm*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Coro.spec,v $
Revision 1.24  2011/10/07 13:04:29  lisu
- rel 2

Revision 1.23  2011/10/07 13:04:16  lisu
- fixed path to perl binary

Revision 1.22  2011/10/06 13:11:39  lisu
- updated to 6.06

Revision 1.21  2011/04/28 14:37:48  sparky
- dropped BR: perl-Scalar-List-Utils (perl-modules provides it already)

Revision 1.20  2011/03/09 16:53:05  qboosh
- more BRs

Revision 1.19  2011/02/25 20:11:52  arekm
- up to 5.372

Revision 1.18  2011/02/21 17:14:51  sparky
- added kill-blocked-test patch

Revision 1.17  2011/02/21 16:39:14  sparky
- updated BRs

Revision 1.16  2011/02/20 12:48:41  arekm
- up to 5.26

Revision 1.15  2008/03/13 21:22:15  ankry
- rel. 5

Revision 1.14  2008-03-13 20:45:12  qboosh
- perl-AnyEvent epoch

Revision 1.13  2008-03-13 20:42:40  arekm
- rel 4; BR perl-Event

Revision 1.12  2008-02-23 19:40:24  glen
- release 3

Revision 1.11  2008-02-09 16:59:28  wolvverine
- rel.2

Revision 1.10  2008-01-10 08:38:35  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.9  2007-12-26 22:07:24  zbyniu
- up to 4.34

Revision 1.8  2007-09-21 01:26:19  sls
- added note

Revision 1.7  2007/06/09 18:46:45  arekm
- up to 3.63

Revision 1.6  2007/03/03 14:34:26  twittner
- added BR: perl-AnyEvent, perl-IO-AIO (as buildog suggested)

Revision 1.5  2007/02/12 22:09:11  glen
- tabs in preamble

Revision 1.4  2007/02/12 01:06:42  baggins
- converted to UTF-8

Revision 1.3  2007/02/07 20:26:37  pascalek
- updated to 3.41

Revision 1.2  2006/08/24 20:51:14  qboosh
- pl, generic URL

Revision 1.1  2006/08/20 17:03:34  arekm
- unfinished
